<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body>
    <div class="container mt-5 text-center">
        <button class="btn btn-primary" onclick="getPost()">Get a post</button>
        <button class="btn btn-primary" onclick="getAllPost()">Get all posts</button>
        <button class="btn btn-primary" onclick="createPost()">Create a post</button>
        <button class="btn btn-primary" onclick="updatePost()">Update a post</button>
        <button class="btn btn-primary" onclick="deletePost()">Delete a post</button>
        <button class="btn btn-primary" onclick="getData()">Get posts</button>
    </div>
</body>
<script>
    var gURL = 'https://jsonplaceholder.typicode.com/posts';
    callAPI = async (url, options) => {
        try {
            let response = await fetch(url, options);
            let json = await response.json();
            console.log(json);
        } catch (error) {
            console.error(error);
        }
    }

    getPost = () => {
        callAPI(gURL + '/1');
    }

    getAllPost = () => {
        callAPI(gURL);
    }

    createPost = () => {
        callAPI(gURL, {
            method: 'POST',
            body: JSON.stringify({
                title: 'foo',
                body: 'bar',
                userId: 1,
            }),
            headers: {
                'Content-type': 'application/json; charset=UTF-8',
            },
        });
    }

    updatePost = () => {
        callAPI(gURL + '/1', {
            method: 'PUT',
            body: JSON.stringify({
                id: 1,
                title: 'foo',
                body: 'bar',
                userId: 1,
            }),
            headers: {
                'Content-type': 'application/json; charset=UTF-8',
            },
        });
    }

    deletePost = () => {
        callAPI(gURL + '/1', {
            method: 'DELETE',
        });
    }

    getData = async () => {
        try {
            //load và show post 1
            let response1 = await fetch('https://jsonplaceholder.typicode.com/posts/1');
            let json1 = await response1.json();
            console.log(json1);

            //load và show post 2
            let response2 = await fetch('https://jsonplaceholder.typicode.com/posts/2');
            let json2 = await response2.json();
            console.log(json2);

            let response3 = await fetch('https://jsonplaceholder.typicode.com/posts/3');
            let json3 = await response3.json();
            console.log(json3);
            
        } catch (error) {
            console.error(error);
        }        
    }
</script>
</html>